#ifndef _COBJMESSAGERESIZE_H_
#define _COBJMESSAGERESIZE_H_


#include "CObjMessage.h"

#define NB_OF_RESIZE		2					//nombre de directions prédéfinies
#define DIR_HORIZONTAL		1					//direction horizontale orientée vers la droite
#define DIR_VERTICAL		2					//direction verticale orientée vers le haut


class CObjMessageResize:public CObjMessage
{
private:
	int direction;								//direction du resize
	int minOffset;								//valeur de l'écart du resize sur la borne inférieure
	int maxOffset;								//valeur de l'écart du resize sur la borne supérieure

public:
	CObjMessageResize(int direction, int min, int max, int redrawobject);	//constructeur
	virtual ~CObjMessageResize();				//destructeur

	int GetDirection();							//retourne la direction du resize
	int GetMinOffset();							//retourne la valeur de l'écart du resize sur la borne inférieure
	int GetMaxOffset();							//retourne la valeur de l'écart du resize sur la borne supérieure
};


#endif